package af.message;

import java.util.ArrayList;
import af.instatnce.AFInstance;
import af.instatnce.E01Instance;

public class MSGParser {
	private String msg = "";
	private E01Instance e01Ins = null;
	private AFInstance afInstance = null;
	


	public MSGParser(String msg){
		this.msg = msg;
	}
	
	public void extractHTTPMessage(AFInstance afIns){
		this.afInstance = afIns;
		
	}
	
	public void extractE01Message(E01Instance e01Ins){
		this.e01Ins = e01Ins;
		ArrayList<String> key = null;
		String [] e01msg = this.msg.split(":");
		String [] cmd = e01msg[0].split("=");
		this.e01Ins.setCmd(cmd[1].trim());
		String [] e01objAndkey = e01msg[1].split(",");
		for(int i = 0; i < e01objAndkey.length; i++){
			String [] e01val = e01objAndkey[i].split("=");
			if(e01val[0].trim().equalsIgnoreCase("objecttype")){
				this.e01Ins.setObjType(e01val[1].trim());
			}
			else if(e01val[0].contains("key")){
				if(key == null){
					key = new ArrayList<String>();
				}
				key.add(e01val[1].trim());
			}
			else if(e01val[0].trim().equalsIgnoreCase("data")){
				this.e01Ins.setData(e01val[1].trim());
			}
			else if(e01val[0].trim().equalsIgnoreCase("id")){
				this.e01Ins.setId(e01val[1].trim());
			}
		}

		this.e01Ins.setKey(key);
	}

	public E01Instance getE01Ins() {
		return e01Ins;
	}

	public void setE01Ins(E01Instance e01Ins) {
		this.e01Ins = e01Ins;
	}
	
	public AFInstance getAFInstance() {
		return afInstance;
	}

	public void setMsgIns(AFInstance afInstance) {
		this.afInstance = afInstance;
	}
}
